Subject: Re: bug#8484: 24.0.50; Dired problems with marking and hidden subdirs

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 16 Sep 2020 13:36:04 +0200

Juri Linkov <[email-masked]> writes:

>> Stephen's patch seems to fix that example, so I've now applied it to the
>> trunk.  I had to move some utility functions from dired-aux to avoid
>> dired.el unconditionally loading dired-aux always (since this change is
>> in a very fundamental dired function).
>
> Ouch, this broke my configuration.  When the init file contains:
>
>   (add-hook 'dired-mode-hook 'dired-sort-toggle)
>
> trying to visit a Dired buffer fails with:
>
> Debugger entered--Lisp error: (error "No subdir-alist in tmp")
>   signal(error ("No subdir-alist in tmp"))
>   error("No subdir-alist in %s" #<buffer tmp>)
>   dired-current-directory()
>   dired-get-filename(nil t)

It looks like that function can't be called before a dired function is
properly set up, but dired-sort-toggle does so.  I've now made
dired-get-filename more robust again after the previous change to that
function.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no